%define uname	radarPI
%define piname	radar_pi

Name:		opencpn-radar-plugin
Summary:	Radar plugin for OpenCPN
Version:	5.1.5
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/%{uname}.html
Source0:	https://github.com/opencpn-radar-pi/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{uname} = %{version}
Obsoletes:	opencpn-br24radar-plugin < 3.0.1

%description
Radar plugin for OpenCPN.
Note: This package replaces BR24, GRradar, GXRadar, and Navico Radar plugins
for OpenCPN version 5.0 and up.

This plugin overlays the radar picture on OpenCPN.

A versatile plugin that can be easily adapted to most broadband radars.

Support for OpenCPN version 5.0 and multi canvas
with simultaneous overlay of two different radars.

Revised multi radar type architecture.
Adding a new radar only requires radar knowledge
and can re-use the existing display technology.

Support for four simultaneously active radars.  Multiple brands can be mixed.
Display and UI:
* Real time true motion image.
* Multi canvas support with simultaneous overlay of two different radars.
* Look forward and look aft in radar windows.
* Dragging and zooming in radar windows.
* Performance and stability improvements.
    
Radar support :
* Garmin HD and xHD radar support.
* Navico 'new' 3G support.
* Older 3G radars are still supported via the BR24 type.
* Navico HALO-3, HALO-4, HALO-6 and HALO24 support.

%prep
%autosetup -p1 -n %{piname}-%{version}

%build
%cmake

%cmake_build

%install
%cmake_install

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%find_lang opencpn-%{piname}

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Thu Jul 22 2021 barjac <barjac> 5.1.5-1.mga9
+ Revision: 1737425
- set version limit on wxgtku BR
+ philippedidier <philippedidier>
- new version 5.1.5

* Mon Jul 12 2021 barjac <barjac> 5.1.2-2.mga9
+ Revision: 1735760
- Build with wxgtku3.0 not 3.1

* Mon Jun 21 2021 barjac <barjac> 5.1.2-1.mga9
+ Revision: 1731616
- New package with thanks to Philippe Didier

